package com.steerinfo.ems.usagedata.mapper;

import java.util.List;
import java.util.HashMap;

import com.steerinfo.ems.usagedata.model.UsageData;
import com.steerinfo.framework.mapper.IBaseMapper;
import org.apache.ibatis.annotations.Mapper;

@Mapper
public interface UsageDataMapper extends IBaseMapper<UsageData, String> {

    List<UsageData> selectDataCodeAndDt(HashMap<String, Object> m);

    int insert(HashMap<String, Object> m);

    List<UsageData> getEmsData();

    void updateState (UsageData model);
}